> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate Download Size



## OpenAPI

````yaml /api-reference/openapi.json post /fs-items/calculate-download-size
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /fs-items/calculate-download-size:
    post:
      tags:
        - Filesystem Items
      summary: Calculate Download Size
      operationId: post_Filesystem Items_fs_items_calculate_download_size
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FsItemsDownloadSizeRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FsItemsDownloadSizeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FsItemsDownloadSizeRequest:
      properties:
        asset_ids:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Asset Ids
          description: List of asset IDs to include in size calculation
        directory_ids:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Directory Ids
          description: >-
            List of directory IDs to include (recursively calculates all nested
            assets)
        variant:
          $ref: '#/components/schemas/AssetStorageVariant'
          description: Storage variant to calculate size for (ORIGINAL or PROXY)
          default: original
      type: object
      title: FsItemsDownloadSizeRequest
      description: Request to calculate total download size for selected items
    FsItemsDownloadSizeResponse:
      properties:
        total_size_bytes:
          type: integer
          title: Total Size Bytes
          description: Total size in bytes of all selected assets and directory contents
      type: object
      required:
        - total_size_bytes
      title: FsItemsDownloadSizeResponse
      description: Response with total download size
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AssetStorageVariant:
      type: string
      enum:
        - original
        - stream_proxy
        - audio_proxy
        - model_proxy
        - scrub_proxy
        - scrub_proxy_redacted
        - scrub_preview
        - scrub_preview_redacted
        - preview
        - doc_proxy
      title: AssetStorageVariant
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````